{
  "type": "minecraft:crafting_shaped",
  "category": "building",
  "group": "support_beams",
  "pattern": [
    "A",
    "B",
    "A"
  ],
  "key": {
    "A": "bamboo_planks",
    "B": "stick"
  },
  "result": {
    "components": {
      "lore": [
        {
          "text": "",
          "color": "gray",
          "italic": false,
          "extra": [
            {
              "translate": "item_tooltip.overlyrealistic.support_beams.requires",
              "fallback": "Requires: "
            },
            {
              "translate": "block.minecraft.bamboo_fence"
            }
          ]
        }
      ],
      "minecraft:item_name": {
        "translate": "block.overlyrealistic.bamboo_support_beam",
        "fallback": "Bamboo Support Beam",
        "color": "white"
      },
      "minecraft:entity_data": {
        "id": "minecraft:marker",
        "Tags": [
            "OverlyRealistic.Block.IsCustomBlockMarker"
        ],
        "data": {
          "placement_function": "overly_realistic:general/custom_blocks/support_beam/support_beam_pre_placed",
          "type": "bamboo",
          "IsCustomBlock": "support_beam",
          "or_support_beam_category": "wooden",
          "or_support_beam_type_full": "bamboo_support_beam"
        }
      },
      "minecraft:custom_data": {
        "IsCustomBlock": "support_beam",
        "support_beam_type": "bamboo",
        "or_edited_item": true,
        "or_support_beam_category": "wooden",
        "or_is_custom_block": true
      },
      "max_stack_size": 20,
      "item_model": "overlyrealistic:blocks/support_beams/bamboo_support_beam"
    },
    "count": 1,
    "id": "minecraft:allay_spawn_egg"
  },
  "show_notification": true
}